dnl checks for moc to be in your path otherwise expects $QTDIR to be set
dnl properly

AC_DEFUN(AC_PATH_MOC, [

AC_PATH_PROG(ac_moc_qt, moc)
if test -z "$ac_moc_qt" ; then
 	AC_MSG_CHECKING(for \$QTDIR variable set)
	if test -n "$QTDIR" ; then
		AC_MSG_RESULT($QTDIR)
		ac_moc_qt="$QTDIR/bin/moc"
	else
		AC_MSG_RESULT(no)
		AC_MSG_ERROR([
			Please install the Qt libraries or set
			the \$QTDIR environment variable to the
			proper location.
		])
	fi
	
fi

])
