#ifndef UPDATE_H
#define UPDATE_H

#include <qapplication.h>
#include <qfiledialog.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qmessagebox.h>
#include <qprogressbar.h>
#include <qframe.h>
#include <iostream.h>
#include <stdio.h>   
#include <fcntl.h>   
#include <termios.h> 
#include <stdlib.h>  
#include <sys/types.h>
#include <sys/stat.h>

#include "minicon.h"


class cUpdate : public QWidget {
	Q_OBJECT

public:
	cUpdate(QWidget *parent=0, const char *name=0);
	void setDevice(const char *file);
	const char* getDevice(void);
	void setFirmware(const char *file);
	const char* getFirmware(void);
	
public slots:
	void startUpdate(void);

private:
	miniCon *SD;
	char firmware[128];
	QPushButton *pb_ok, *pb_cancel, *pb_search;
	QLineEdit *le_device, *le_firmware;
	QProgressBar *updateProgress;
	
	void userEventEnabled(bool val);

private slots:	
	void getFileName(void);
};

#endif
