//
// sd_clearlist.cpp
//
// (c) Jan Willamowius, 1998
//
// free for private use - commercial use or commercial distribution
// requires permission from the author
//

#include <iostream>
#include "sd.hpp"


int main(void)
{
#ifdef linux
	// i made a link to the serial device my SpeedDragon is connected to
        ocSpeedDragon oSD("/dev/speeddragon");
#endif
#ifdef _MSC_VER
        ocSpeedDragon oSD("COM1", 115200);
#endif

	oSD.vOpen();
	if (oSD.bIsOpen())
	{
		oSD.vClearCallList();
		cout << "SD: Call list cleared" << endl;
		oSD.vClose();
	}
	else
		cout << "SpeedDragon not ready" << endl;
	
	cout << endl;

	return 0;
}

