#ifndef REMOTEDLG_H
#define REMOTDLG_H

#include <qdialog.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qlabel.h>

#define MAX_MSN 11
#define MAX_PASS 4

struct remoteChanged {
	bool MSN;
	bool password;
};

class remoteDlg : public QDialog {
	Q_OBJECT
public:
	remoteDlg(QWidget *parent=0, const char *name=0);
	
	void setMSN(const char *MSN);
	const char* getMSN(void);
	bool isMSNChanged(void) { return(Changed.MSN); }
	void setPassword(const char* password);
	const char* getPassword(void);
	bool isPasswordChanged(void) { return(Changed.password); }
	void resetStatusChanged(void);
	
private:
	QLineEdit *le_MSN, *le_pass;
	remoteChanged Changed;

private slots:
	void MSNChanged(void) { Changed.MSN=TRUE; }
	void passwordChanged(void) { Changed.password=TRUE; }
};

#endif
