#ifndef EDIT_H
#define EDIT_H

#include <qapplication.h>
#include <qdialog.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qmessagebox.h>
#include <ctype.h>

class cEdit : public QDialog {
	Q_OBJECT
public:
	cEdit(QWidget *parent=0, const char *name=0, bool modal=TRUE,
		const char *caption=0);
	
	void setID(const char *ID);
	char* getID(void);
	void setDescription(const char *text);
	char* getDescription(void);
	
private:
	QPushButton *pb_ok, *pb_cancel;
	QLineEdit *le_id, *le_description;
	
private slots:
	void validateAccept(void);
	
};

#endif
