//
// sd_clearlist.cpp
//
// (c) Jan Willamowius, 1998
//
// free for private use - commercial use or commercial distribution
// requires permission from the author
//

#include <stdio.h>
#include "sd.h"


int main(void)
{
	// i made a link to the serial device my SpeedDragon is connected to
	sd_vInit("/dev/speeddragon", 115200);

	sd_vOpen();
	if (sd_bIsOpen())
	{
		sd_vClearCallList();
		printf("SD: Call list cleared\n");
		sd_vClose();
	}
	else
		printf("SpeedDragon not ready\n");
	
	printf("\n");

	return 0;
}

