#ifndef DETECTDLG_H
#define DETECTDLG_H

#include <qapplication.h>
#include <qdialog.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>

#define MAX_DEVICE_NAME	25

class detectdlg : public QDialog {
	Q_OBJECT

public:	
	detectdlg(QWidget *parent=0, const char *name=0);
	int getBps(void);
	bool isBpsChanged(void) { return(iBpsChanged); }
	const char* getDeviceName(void) { return(le_device->text()); }
	void setupWin(int errno, int bps, const char* deviceName);
	void resetStatusChanged(void);
		
signals:
	void setupChanged(void);
	
private:
	QGridLayout *layoutSetup;
	QComboBox *combo_bitrate;
	QLineEdit *le_device;
	bool iBpsChanged;

private slots:
	void bpsChanged(void) { iBpsChanged=TRUE; }
};

#endif
