#include "tabmsn.h"

const char *info= { "Hinweis: Dem PC werden auch Anrufe auf den MSNs\
	signalisiert, die den analogen Anschlssen zugeordnet sind." };

tabMSN::tabMSN(QWidget *parent, const char *name): QWidget(parent,name)
{
	
	setFixedSize(500, 220);
	
	/* list of MSNs */
	list=new QListView(this);
	list->setGeometry(20, 20, width()-40, height()-100);
	list->setFrameStyle(QFrame::WinPanel | QFrame::Sunken);
	
	list->addColumn("MSN", 100);
	list->addColumn("Ports", width()-245);
	list->addColumn("Unterdrckung", 100);
	list->setStyle(WindowsStyle);
	//list->setEnabled(FALSE);
	
	/* label */
	QLabel *l_info=new QLabel( info, this);
	l_info->setGeometry( 20, height()-60, width()-40, height()-20);
	l_info->setAlignment(WordBreak);
}

void tabMSN::addItem(const char *MSN, const char *ports, bool suppression) {
	char value[10];
	
	if (suppression==true) {
		sprintf(value, "%s", "An");
	}
	else {
		sprintf(value, "%s", "Aus");
	}
	QListViewItem *tmp=new QListViewItem(list, MSN, ports, value);
	tmp->setSelectable(FALSE);
	tmp->setExpandable(FALSE);
}

void tabMSN::clearList(void) {
	list->clear();
}
